set PROXYHOST="proxy"
set PROXYPORT="8080"

foreach CFGFILE (/etc/sysconfig/proxy-config $HOME/.proxy-config)
  if ( -s $CFGFILE ) then
    eval `grep -v '^[:blank:]*#' $CFGFILE | sed 's|\([^=]*\)=\([^=]*\)|set \1=\2|g' | sed 's|$|;|'`
  endif
end

setenv http_proxy "http://${PROXYHOST}:${PROXYPORT}"
setenv HTTP_PROXY "http://${PROXYHOST}:${PROXYPORT}"
setenv https_proxy "http://${PROXYHOST}:${PROXYPORT}"
setenv HTTPS_PROXY "http://${PROXYHOST}:${PROXYPORT}"
setenv ftp_proxy "http://${PROXYHOST}:${PROXYPORT}"
setenv FTP_PROXY "http://${PROXYHOST}:${PROXYPORT}"
setenv all_proxy "http://${PROXYHOST}:${PROXYPORT}"
setenv ALL_PROXY "http://${PROXYHOST}:${PROXYPORT}"
setenv no_proxy "localhost,`hostname -s`,`hostname -f`,`hostname -d`,127.0.0.1"
setenv NO_PROXY "localhost,`hostname -s`,`hostname -f`,`hostname -d`,127.0.0.1"
setenv RSYNC_PROXY "${PROXYHOST}:${PROXYPORT}"

unset PROXYHOST PROXYPORT CFGFILE
