PROXYHOST="proxy"
PROXYPORT="8080"

for CFGFILE in /etc/sysconfig/proxy-config ${HOME}/.proxy-config; do
  [ -s $CFGFILE ] && . $CFGFILE
done

export http_proxy="http://${PROXYHOST}:${PROXYPORT}"
export HTTP_PROXY="http://${PROXYHOST}:${PROXYPORT}"
export https_proxy="http://${PROXYHOST}:${PROXYPORT}"
export HTTPS_PROXY="http://${PROXYHOST}:${PROXYPORT}"
export ftp_proxy="http://${PROXYHOST}:${PROXYPORT}"
export FTP_PROXY="http://${PROXYHOST}:${PROXYPORT}"
export all_proxy="http://${PROXYHOST}:${PROXYPORT}"
export ALL_PROXY="http://${PROXYHOST}:${PROXYPORT}"
export no_proxy="localhost,$(hostname -s),$(hostname -f),$(hostname -d),127.0.0.1"
export NO_PROXY="localhost,$(hostname -s),$(hostname -f),$(hostname -d),127.0.0.1"
export RSYNC_PROXY="${PROXYHOST}:${PROXYPORT}"

unset PROXYHOST PROXYPORT CFGFILE
